Bug 206944 - firmware_helper logs misleading error message
firmware_helper logs misleading error message
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-18 08:03 EDT by Nick Stoughton
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: udev-095-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-27 06:20:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
proposed patch (260 bytes, patch)
2006-09-18 08:03 EDT, Nick Stoughton
no flags Details | Diff

  None (edit)
Description Nick Stoughton 2006-09-18 08:03:56 EDT
Description of problem:


The firmware_helper in FC5 (from udev-084-13.fc5.2) always logs the name of the
firmware file on error. If the helper failed to open the device (/sys/%s/data),
the error message in the logfile suggests that there is something wrong with the
firmware file, rather than the devpath. 

How reproducible:
Always, if you have a driver that requires firmware download but does not always
correctly present a "data" interface in /sys/%s/data.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Sep 18 11:27:25 amstaff2 firmware_helper[4598]: Loading of
/lib/firmware/ipw3945.ucode for ipw3945 driver failed: No such file or directory


Expected results:
Sep 18 12:36:30 amstaff2 firmware_helper[4330]: Loading of
/sys/class/firmware/0000:0c:00.0/data for ipw3945 driver failed: No such file or
directory


Additional info:
Comment 1 Nick Stoughton 2006-09-18 08:03:56 EDT
Created attachment 136536 [details]
proposed patch

Note You need to log in before you can comment on or make changes to this bug.